com.qualcomm.ftccommon

## Class SoundPlayer.PlaySoundParams

- java.lang.Object
- - com.qualcomm.ftccommon.SoundPlayer.PlaySoundParams

- Enclosing class:
    SoundPlayer

      public static class SoundPlayer.PlaySoundParams
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `loopControl` -1 means playing loops forever, 0 is play once, 1 is play twice, etc
    `float` | `rate` playback rate (1.0 = normal playback, range 0.5 to 2.0)
    `float` | `volume` an additional volume scaling that will be applied to this particular play action
    `boolean` | `waitForNonLoopingSoundsToFinish` whether to wait for any currently-playing non-looping sound to finish before playing

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlaySoundParams()`
    `PlaySoundParams(boolean wait)`
    `PlaySoundParams(SoundPlayer.PlaySoundParams them)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isLooping()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### volume

          public float volume

      an additional volume scaling that will be applied to this particular play action

    - #### waitForNonLoopingSoundsToFinish

          public boolean waitForNonLoopingSoundsToFinish

      whether to wait for any currently-playing non-looping sound to finish before playing

    - #### loopControl

          public int loopControl

      -1 means playing loops forever, 0 is play once, 1 is play twice, etc

    - #### rate

          public float rate

      playback rate (1.0 = normal playback, range 0.5 to 2.0)

  - ### Constructor Detail

    - #### PlaySoundParams

          public PlaySoundParams()

    - #### PlaySoundParams

          public PlaySoundParams(boolean wait)

    - #### PlaySoundParams

          public PlaySoundParams(SoundPlayer.PlaySoundParams them)

  - ### Method Detail

    - #### isLooping

          public boolean isLooping()